<div class="page-breadcrumb">
    <div class="row align-items-center">
        <div class="col-5">
            <h4 class="page-title"><b>Puntos</b></h4>
            <div class="d-flex align-items-center">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a style="color: #092a5e" ui-sref="app.puntos">Puntos</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Conceptos</li>
                    </ol>
                </nav>
            </div>
        </div>
        <div class="col-7" style="text-align: right">
            <button type="button" class="btn btn-dental" data-toggle="modal" data-target="#exampleModal">
                <i class="fas fa-plus"></i>&nbsp;&nbsp;Crear Concepto
            </button>
        </div>
    </div>
</div>

<div class="card hidden-table">
    <div class="table-responsive">
        <table class="table">
            <thead class="thead-light">
                <tr>
                    <th scope="col">Descripcion</th>
                    <th scope="col">Puntos</th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="c in conceptos">
                    <td style="padding-top: 17px">{{c.descripcion}}</td>
                    <td style="padding-top: 17px"><label class="label label-success ng-binding" style="font-size: 17px;">{{c.puntosRequeridos}} <small>pts</small></label></td>
                    <td style="padding-top: 10px"><a title="Eliminar" ng-click="eliminar(c)" class="btn btn-dental"><i class="fas fa-trash"></i>&nbsp;&nbsp;Eliminar</a></td>
                </tr>
            </tbody>
        </table>
    </div>
</div>

<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content animated bounceIn">
            <div class="modal-header">
                <h4 class="modal-title" id="exampleModalLabel">Crear concepto</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body" style="padding: 10px 30px 10px 30px">

                <form ng-submit="crear(form)" class="form-horizontal">
                    <div class="form-group">
                        <label>Descripcion</label>
                        <input ng-model="nuevo.descripcion" type="text" class="form-control" placeholder="Descripcion" required>
                    </div>
                    <div class="form-group">
                        <label>Puntos requeridos</label>
                        <input ng-model="nuevo.requeridos" type="number" class="form-control" placeholder="Cant. puntos" required>
                    </div>
                    <div class="modal-footer" style="margin: 0px -27px;">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-dental">Crear</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>